; ===========================
; Jupiter's Basics File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: Jupiter's basic attacks
; ===========================

;=======================
;STATE 200: STANDING JAB
;=======================
[Statedef 200]
type = S
movetype = A
physics = S
ctrl = 0
anim = 200
poweradd = 25
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1,0

[State 200, Determine Type Of Attack]
type = ChangeAnim
trigger1 = StateTime = 0
trigger1 = P2BodyDist X < 10
value = 205

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 3
trigger1 = Anim = 200
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
priority = 5
damage = 25
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4, 0
air.type = high
air.hittime = 12
air.velocity = -4, 0
sparkno = 0
sparkxy = 0, -71

[State 200, HitDef]
type = HitDef
trigger1 = AnimElem = 3
trigger1 = Anim = 205
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
priority = 5
damage = 30
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4, 0
air.type = high
air.hittime = 12
air.velocity = -4, 0
sparkno = 0
sparkxy = 0, -75

[State 200, Recover]
type = ChangeState
value = 0
trigger1 = AnimTime = 0
ctrl = 1

;==============================
;STATE 210: STANDING LIGHT KICK
;==============================
[Statedef 210]
type = S
movetype = A
physics = S
ctrl = 0
anim = 210
poweradd = 25
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0

[State 210, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = light
priority = 5
damage = 25
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = low
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4, 0
air.type = low
air.hittime = 12
air.velocity = -4, 0
sparkno = 0
sparkxy = 0, -62

[State 210, Recover]
type = ChangeState
value = 0
trigger1 = AnimTime = 0
ctrl = 1

;===============================
;STATE 250: STANDING HEAVY PUNCH
;===============================
[Statedef 250]
type = S
movetype = A
physics = S
ctrl = 0
anim = 250
poweradd = 60
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1,1

[State 200, Determine Type Of Attack]
type = ChangeAnim
trigger1 = StateTime = 0
trigger1 = P2BodyDist X < 10
value = 255

[State 250, HitDef]
type = HitDef
trigger1 = AnimElem = 3
trigger1 = Anim = 250
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 50
pausetime = 12, 12
hitsound = 5,3
guardsound = 6,0
ground.type = high
ground.slidetime = 7
ground.hittime = 22
ground.velocity = -6, 0
air.type = high
air.hittime = 18
air.velocity = -6, 0
sparkno = 2
sparkxy = 0, -105

[State 250, HitDef]
type = HitDef
trigger1 = AnimElem = 3
trigger1 = Anim = 255
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 55
pausetime = 12, 14
hitsound = 5,3
guardsound = 6,0
ground.type = low
ground.slidetime = 5
ground.hittime = 22
ground.velocity = -6, 0
air.type = low
air.hittime = 18
air.velocity = -6, 0
sparkno = 2
sparkxy = 0, -68

[State 250, Recover]
type = ChangeState
value = 0
trigger1 = AnimTime = 0
ctrl = 1

;==============================
;STATE 260: STANDING HEAVY KICK
;==============================
[Statedef 260]
type = S
movetype = A
physics = S
ctrl = 0
anim = 260
poweradd = 60
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2

[State 260, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 55
pausetime = 12, 12
hitsound = 5,3
guardsound = 6,0
ground.type = high
ground.slidetime = 7
ground.hittime = 22
ground.velocity = -6, 0
air.type = high
air.hittime = 18
air.velocity = -6, 0
sparkno = 2
sparkxy = 0, -105

[State 260, Recover]
type = ChangeState
value = 0
trigger1 = AnimTime = 0
ctrl = 1

;========================
;STATE 400: CROUCHING JAB
;========================
[Statedef 400]
type = C
movetype = A
physics = C
ctrl = 0
anim = 400
poweradd = 25
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0

[State 400, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MAF
guardflag = LA
animtype = light
priority = 5
damage = 20
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = low
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4, 0
air.type = low
air.hittime = 12
air.velocity = -4, 0
sparkno = 0
sparkxy = 0, -38

[State 400, Recover]
type = ChangeState
value = 11
trigger1 = AnimTime = 0
ctrl = 1

;===============================
;STATE 410: CROUCHING LIGHT KICK
;===============================
[Statedef 410]
type = C
movetype = A
physics = C
ctrl = 0
anim = 410
poweradd = 25
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0

[State 410, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MAFD
guardflag = LA
animtype = light
priority = 5
damage = 20
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = low
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4
air.type = low
air.hittime = 12
air.velocity = -2, -3
sparkno = 0
sparkxy = 0, 0

[State 410, Recover]
type = ChangeState
value = 11
trigger1 = AnimTime = 0
ctrl = 1

;===================
;STATE 450: UPPERCUT
;===================
[Statedef 450]
type = S
movetype = A
physics = S
ctrl = 0
juggle = 1
anim = 450
poweradd = 60
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2

[State 450, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = diagup
priority = 4
damage = 50
pausetime = 12, 12
hitsound = 5,4
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 24
ground.velocity = -1, -12
air.type = high
air.hittime = 24
air.velocity = -1, -10
sparkno = 2
sparkxy = 0, -112

[State 450, Recover]
type = ChangeState
value = 11
trigger1 = AnimTime = 0
ctrl = 1

;=====================
;STATE 455: UPPERCUT 2
;=====================
[Statedef 455]
type = S
movetype = A
physics = S
ctrl = 0
anim = 455
poweradd = 60
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 455, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2

[State 455, Hitdef 1]
type = HitDef
trigger1 = AnimElem = 1
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 25
pausetime = 12, 9999
hitsound = 5,2
guardsound = 6,0
ground.type = low
ground.slidetime = 5
ground.hittime = 24
ground.velocity = -1, 0
air.type = high
air.hittime = 24
air.velocity = -1, 9
sparkno = 2
sparkxy = 0, -77

[State 455, HitDef 2]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = MoveHit
attr = C, NA
hitflag = MAF
guardflag = MA
animtype = diagup
priority = 4
damage = 50
pausetime = 12, 12
hitsound = 5,3
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 24
ground.velocity = -6, -12
air.type = high
air.hittime = 24
air.velocity = -6, -12
fall = 1
fall.recover = 0
sparkno = 2
sparkxy = 0, -112
ground.cornerpush.veloff = -30

[State 455, Failure Recovery]
type = ChangeState
value = 11
ctrl = 1
trigger1 = StateTime > 24
trigger1 = !MoveHit

[State 455, Recover]
type = ChangeState
value = 11
trigger1 = AnimTime = 0
ctrl = 1

;===============================
;STATE 460: CROUCHING HEAVY KICK
;===============================
[Statedef 460]
type = S
movetype = A
physics = S
ctrl = 0
anim = 460
poweradd = 60
velset = 0,0

[State X]
type = PosSet
trigger1 = Time = 0
Y = 0

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2

[State 450, HitDef]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
hitflag = MA
guardflag = LA
animtype = heavy
priority = 4
damage = 50
pausetime = 12, 12
hitsound = 5,4
guardsound = 6,0
ground.type = trip
ground.slidetime = 5
ground.hittime = 18
ground.velocity = -4, -2
air.type = trip
air.hittime = 18
air.velocity = -4, -2
fall = 1
sparkno = 2
sparkxy = 0, -53

[State 450, Recover]
type = ChangeState
value = 11
trigger1 = AnimTime = 0
ctrl = 1

;=============================
;STATE 500: AERIAL LIGHT PUNCH
;=============================
[Statedef 500]
type = A
movetype = A
physics = A
ctrl = 0
anim = 500
poweradd = 25

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0

[State 500, Hitdef]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = light
priority = 5
damage = 20
pausetime = 8, 8
hitsound = 5,0
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 16
ground.velocity = -2, 0
air.type = high
air.hittime = 16
air.velocity = -2, -2.5
fall = 0
sparkno = 0
sparkxy = 0, -55

[State 510, Recover]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;=============================
;STATE 510: AERIAL HEAVY PUNCH
;=============================
[Statedef 510]
type = A
movetype = A
physics = A
ctrl = 0
anim = 510
poweradd = 60

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,1

[State 510, Hitdef]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 50
pausetime = 8, 8
hitsound = 5,3
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 16
ground.velocity = -3, 0
air.type = high
air.hittime = 16
air.velocity = -3, -1.5
fall = 0
sparkno = 2
sparkxy = 0, -55

[State 510, Recover]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;============================
;STATE 520: AERIAL LIGHT KICK
;============================
[Statedef 520]
type = A
movetype = A
physics = A
ctrl = 0
anim = 520
poweradd = 25

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,0

[State 520, Hitdef]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = light
priority = 5
damage = 25
pausetime = 8, 8
hitsound = 5,1
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 16
ground.velocity = -2, 0
air.type = high
air.hittime = 16
air.velocity = -2, -2.5
fall = 0
sparkno = 0
sparkxy = 0, -56

[State 510, Recover]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;============================
;STATE 530: AERIAL HEAVY KICK
;============================
[Statedef 530]
type = A
movetype = A
physics = A
ctrl = 0
anim = 530
poweradd = 60

[State 200, Whiff]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1,2

[State 530, Hitdef 1]
type = HitDef
trigger1 = AnimElem = 2
trigger1 = prevstateno = [500,599]
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 55
pausetime = 4, 4
hitsound = 5,4
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 16
ground.velocity = -3, 0
air.type = high
air.hittime = 16
air.velocity = -3, 15
fall = 0
air.fall = 1
fall.recover = 0
sparkno = 2
sparkxy = 0, -42

[State 530, Hitdef]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA
hitflag = MAF
guardflag = MA
animtype = heavy
priority = 4
damage = 55
pausetime = 8, 12
hitsound = 5,4
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -3, 0
air.type = high
air.hittime = 12
air.velocity = -3, 15
fall = 0
air.fall = 1
fall.recover = 0
sparkno = 2
sparkxy = 0, -42

[State 530, FlyingScreenVar]
type = VarSet
triggerall = MoveHit
trigger1 = prevstateno = [500,599]
var(1) = 1

[State 530, Recover]
type = ChangeState
trigger1 = AnimTime = 0
value = 50
ctrl = 1

;=========
;POWERBOMB
;=========
[Statedef 801]
type = S
movetype = A
anim = 801
velset = 0,0
ctrl = 0

[State 801, HitDef]
type = HitDef
trigger1 = Time = 0
attr = S, NT
hitflag = M-
sparkno = -1
hitsound = S3,0
p1stateno = 800
p2stateno = 802

[State 801, Cancel]
type = ChangeState
value = 250
trigger1 = Time = 1

[Statedef 800]
type = S
movetype = A
anim = 800

[State 800, Turn]
type = Turn
trigger1 = AnimElem = 1
trigger1 = Var(2) = 1

[State 800, TargetBind]
type = TargetBind
trigger1 = AnimElem = 1
time = 999
pos = 28, -75

[State 800, Hey]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,1

[State 800, TargetBind]
type = TargetBind
trigger1 = AnimElem = 2
time = 999
pos = 20, -93

[State 800, TargetBind]
type = TargetBind
trigger1 = AnimElem = 3
time = 999
pos = 25, -98

[State 800, TargetBind]
type = TargetBind
trigger1 = AnimElem = 4
time = 999
pos = 28, -90

[State 800, TargetBind]
type = TargetBind
trigger1 = AnimElem = 5
time = 1
pos = 35, -10

[State 800, Damage]
type = TargetLifeAdd
trigger1 = AnimElem = 5
value = -80

[State 800, EnvShake]
type = EnvShake
trigger1 = AnimElem = 5
time = 10
freq = 70

[State 800, Spark Display]
type = Explod
trigger1 = AnimElem = 5
pos = 35, -10
postype = P1
anim = F2

[State 800, Reset Var 2]
type = VarSet
trigger1 = AnimTime = 0
var(2) = 0

[State 800, Recover]
type = ChangeState
ctrl = 1
trigger1 = AnimTime = 0
value = 11

;=============
;AIR POWERBOMB
;=============
[Statedef 804]
type = S
movetype = A
ctrl = 0
anim = 807

[State 804, HitDef]
type = HitDef
trigger1 = Time = 0
attr = A, NT
hitflag = A-
sparkno = -1
hitsound = S3,0
p1stateno = 805
p2stateno = 806

[State 804, Cancel]
type = ChangeState
value = 520
ctrl = 1
trigger1 = Time = 1

[Statedef 805]
type = S
movetype = A
anim = 803

[State 805, Grav]
type = Gravity
trigger1 = Pos Y < 0

;[State 805, Turn]
;type = Turn
;trigger1 = AnimElem = 1
;trigger1 = Var(2) = 1

[State 805, Hey]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,1

[State 805, TargetBind]
type = TargetBind
trigger1 = AnimElem = 1
time = 999
pos = 25, -98

[State 805, TargetBind]
type = TargetBind
trigger1 = AnimElem = 2
time = 999
pos = 28, -90

[State 805, Stop Moving]
type = VelSet
trigger1 = Pos Y > 0
X = 0
Y = 0

[State 805, Reset Y Pos]
type = PosSet
trigger1 = Pos Y > 0
Y = 0

[State 805, TargetBind]
type = TargetBind
trigger1 = AnimElem = 3
time = 999
pos = 35, -10

[State 805, Damage]
type = TargetLifeAdd
trigger1 = Vel Y = 0
trigger1 = Anim = 803
value = -80

[State 805, EnvShake]
type = EnvShake
trigger1 = Vel Y = 0
trigger1 = Anim = 803
time = 10
freq = 70

[State 805, TargetBind]
type = TargetBind
trigger1 = Vel Y = 0
trigger1 = Anim = 803
time = 0
pos = 35, -10

[State 805, Spark Display]
type = Explod
trigger1 = Vel Y = 0
trigger1 = Anim = 803
pos = 35, -10
postype = P1
anim = F2

[State 805, Timer]
type = ChangeAnim
trigger1 = Vel Y = 0
trigger1 = Anim = 803
value = 804

[State 805, Reset Var 2]
type = VarSet
trigger1 = AnimTime = 0
trigger1 = Anim = 804
var(2) = 0

[State 805, Recover]
type = ChangeState
ctrl = 1
trigger1 = AnimTime = 0
trigger1 = Anim = 804
value = 11
