; ===========================
; Jupiter's Hypers File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: Jupiter's hyper combos
; ===========================

;=====================================
;STATE 3000: EX SUPREME THUNDER DRAGON
;=====================================
[Statedef 3000]
type = S
movetype = A
physics = S
anim = 3000
velset = 0,0
ctrl = 0

; === Begin Common HyperPause ===

[State HyperPause Mug]
ID = 996
trigger1 = AnimElem = 3
type = Explod
postype = back
pos = 0, 120
ownpal = 1
sprpriority = 3
bindtime = -1
removetime = 45
anim = 996
pausemovetime = 45

[State HyperPause Subtract Power]
type = PowerAdd
trigger1 = AnimElem = 3
value = -1000

[State HyperPause SuperPause]
type = SuperPause
trigger1 = AnimElem = 3
time = 0
sound = 20,0
pos = 15, -68

[State HyperPause BGPalFX]
type = BGPalFX
trigger1 = AnimElem = 3
time = 45
color = 0
mul = 80, 80, 80

[State HyperPause Pause]
type = Pause
trigger1 = AnimElem = 3
time = 45

; === Begin Common HyperPause ===

[State 3000, Begin Speedlines]
type = Explod
trigger1 = Time = 13
anim = 999
ID = 999
pos = ifelse(facing=1,0,319),0
postype = left
facing = facing
bindtime = -1
removetime = -1
removeongethit = 1
supermovetime = 9999
pausemovetime = 9999
sprpriority = -5
ownpal = 1

[State 3000, Many Dragons]
type = Projectile
trigger1 = Time > 13
trigger1 = Time < 80
trigger1 = (Time % 10) < 4
projid = 1010
projanim = 1015
projhitanim = 1009
velocity = 6, ifelse(Time % 10 = 0, 1, ifelse(Time % 10 = 1, -1, ifelse(Time % 10 = 2, 2.5, -2.5)))
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 14, 2
hitsound = S2, 1
guardsound = 6,0
pausetime = 0, 15
ground.hittime = 15
air.hittime = 15
ground.velocity = -2, -5
air.velocity = -2, -5
fall = 1
fall.recover = 0
p2stateno = 1002
sparkno = 2

[State 3000, End Speedlines]
type = RemoveExplod
trigger1 = StateTime > 110
ID = 999

[State 1010, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = StateTime > 110

;=====================================
;STATE 3100: EX SUPREME THUNDER DRAGON
;=====================================
;State 3100: Startup
[Statedef 3100]
type = S
movetype = A
physics = S
anim = 3100
velset = 0,0
ctrl = 0

[State 3100, Enter SuperPause]
type = ChangeState
trigger1 = AnimTime=0
value = 3101

;State 3101: HyperPause
[Statedef 3101]
type = S
movetype = A
physics = S
anim = 3101
velset = 0,0
ctrl = 0

; === Begin Common HyperPause ===

[State HyperPause Mug]
ID = 996
trigger1 = Time=0
type = Explod
postype = back
pos = 0, 120
ownpal = 1
sprpriority = 3
bindtime = -1
removetime = 45
anim = 996
pausemovetime = 45

[State HyperPause Subtract Power]
type = PowerAdd
trigger1 = Time=0
value = -2000

[State HyperPause SuperPause]
type = SuperPause
trigger1 = Time=0
time = 0
sound = 20,0
anim = 102
pos = -15, -59
movetime = 45

[State HyperPause BGPalFX]
type = BGPalFX
trigger1 = Time=0
time = 45
color = 0
mul = 80, 80, 80

[State HyperPause Pause]
type = Pause
trigger1 = Time=0
time = 45
movetime = 45

; === Begin Common HyperPause ===

[State 3101, Begin Speedlines]
type = Explod
trigger1 = Time = 46
anim = 999
ID = 999
pos = ifelse(facing=1,0,319),0
postype = left
facing = facing
bindtime = -1
removetime = -1
removeongethit = 1
supermovetime = 9999
pausemovetime = 9999
sprpriority = -5
ownpal = 1

[State 3101, Begin Attack]
type=Changestate
trigger1 = time = 46
value = 3102

;State 3102: Attack
[Statedef 3102]
type = S
movetype = A
physics = N
anim = 3102
velset = 10,0
ctrl = 0

[State 3102, Hey!]
type = PlaySnd
trigger1 = time = 0
value = 0,1

[State 3102, HitDef 1]
type = HitDef
trigger1 = enemyNear, name != "Onslaught" && enemyNear, name != "Mercedes Benz" && enemyNear, name != "Omake: Mr. Wood" && enemyNear, name != "Apocalypse"
trigger1 = time % 30 = 0
attr = s, ha
hitflag = maf
guardflag = ma
animtype = heavy
priority = 7, hit
damage = 100, 60
pausetime = 0, 30
ground.hittime = 30
air.hittime = 30
sparkno = 2
sparkxy = 10, -60
hitsound = S2, 1
guardsound = 6,0
ground.type = low
ground.velocity = -5, -3
guard.velocity = -2
air.velocity = -5, -3
airguard.velocity = -2, -3
fall = 1
fall.recover = 0
p2stateno = 1002

[State 3102, HitDef 2]
type = HitDef
trigger1 = enemyNear, name = "Onslaught" || enemyNear, name = "Mercedes Benz" || enemyNear, name = "Omake: Mr. Wood" || enemyNear, name = "Apocalypse"
trigger1 = time % 30 = 0
attr = s, ha
hitflag = maf
guardflag = ma
animtype = heavy
priority = 7, hit
damage = 100, 60
pausetime = 0, 30
ground.hittime = 30
air.hittime = 30
sparkno = 2
sparkxy = 10, -60
hitsound = S2, 1
guardsound = 6,0
ground.type = low
ground.velocity = -5, -3
guard.velocity = -2
air.velocity = -5, -3
airguard.velocity = -2, -3
fall = 1
fall.recover = 0
palfx.time = 50
palfx.add = 40, 40, 80

[State 3102, Recover]
type = ChangeState
trigger1 = Time >= 100
value = 3103

;3103: Recovery
[Statedef 3103]
type = S
movetype = A
physics = N
anim = 3103
ctrl = 0

[State 3000, End Speedlines]
type = RemoveExplod
trigger1 = time = 0
ID = 999

[State 3103, Dust]
type = MakeDust
trigger1 = time % 3 = 0

[State 3103, Slow Down]
type = VelAdd
trigger1 = 1
X = -0.25

[State 3103, Recover]
type = ChangeState
trigger1 = Vel X <= 0
value = 0
ctrl = 1
