; ===========================
; Jupiter's Specials File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: Jupiter's special attacks
; ===========================

;===================================
;STATE 1000: JUPITER OAK EVOLUTION X
;===================================
[Statedef 1000]
type = S
movetype = A
physics = S
anim = 1000
velset = 0,0
poweradd = 55
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1000, Jupiter]
type = PlaySnd
trigger1 = Time = 0
value = 0,0

[State 1000, Oak Evolution]
type = PlaySnd
trigger1 = AnimElem = 8
value = 1000, 0

[State 1000, Oak Leaves]
type = Projectile
Trigger1 = AnimElem = 8
projid = 1000
projanim = 1005
projhitanim = 1009
velocity = 7, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = medium
damage = 40, 5
hitsound = S2,0
guardsound = 6,0
pausetime = 0, 8
ground.slidetime = 5
ground.hittime = 15
air.hittime = 5
ground.velocity = -2, 0
air.velocity = -2, 0
sparkno = 1
palfx.time = 15
palfx.add = 40, 40, 80

[State 1000, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = StateTime > 30

;===================================
;STATE 1001: JUPITER OAK EVOLUTION Y
;===================================
[Statedef 1001]
type = S
movetype = A
physics = S
anim = 1001
velset = 0,0
poweradd = 65
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1001, Jupiter]
type = PlaySnd
trigger1 = Time = 0
value = 0,0

[State 1001, Oak Evolution]
type = PlaySnd
trigger1 = AnimElem = 8
value = 1000, 0

[State 1001, Oak Leaves]
type = Projectile
Trigger1 = AnimElem = 8
Trigger1 = P2Name != "Onslaught"
Trigger1 = P2Name != "Mercedes Benz"
trigger1 = P2Name != "Omake: Mr. Wood"
Trigger1 = P4Name != "Onslaught"
Trigger1 = P4Name != "Mercedes Benz"
trigger1 = P4Name != "Omake: Mr. Wood"
projid = 1000
projanim = 1005
projhitanim = 1009
velocity = 5, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 60, 10
hitsound = S2, 1
guardsound = 6,0
pausetime = 0, 15
ground.hittime = 15
air.hittime = 15
ground.velocity = -2, -5
air.velocity = -2, -5
fall = 1
fall.recover = 0
p2stateno = 1002
sparkno = 2

[State 1001, Oak Leaves]
type = Projectile
Trigger1 = AnimElem = 8
Trigger1 = NumProjID(1000) = 0
projid = 1000
projanim = 1005
projhitanim = 1009
velocity = 5, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 60, 10
hitsound = S2, 1
guardsound = 6,0
pausetime = 0, 15
ground.hittime = 15
air.hittime = 15
ground.velocity = -2, -5
air.velocity = -2, -5
fall = 1
fall.recover = 0
sparkno = 2
palfx.time = 50
palfx.add = 40, 40, 80

[State 1001, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = StateTime > 60

;==============================
;STATE 1002: FAKE OAK EVOLUTION
;==============================
[Statedef 1102]
type = S
movetype = A
physics = S
anim = 1001
velset = 0,0
poweradd = 65
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1001, Jupiter]
type = PlaySnd
trigger1 = Time = 0
value = 0,0

[State 1001, Oak Evolution]
type = PlaySnd
trigger1 = AnimElem = 8
value = 1000, 0

[State 1001, Not Oak Leaves]
type = Explod
Trigger1 = AnimElem = 8
pos = 32, -65
sprpriority = 2
anim = 1009

[State 1001, Oops!]
type = ChangeState
value = 1090
trigger1 = StateTime > 60

;====================================
;STATE 1010: SUPREME THUNDER DRAGON X
;====================================
[Statedef 1010]
type = S
movetype = A
physics = S
anim = 1010
velset = 0,0
poweradd = 55
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1010, Supreme]
type = PlaySnd
trigger1 = Time = 0
value = 1010,0

[State 1010, Dragon]
type = Projectile
Trigger1 = AnimElem = 4
projid = 1010
projanim = 1015
projhitanim = 1009
velocity = 7, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = medium
damage = 35, 5
hitsound = S2,0
guardsound = 6,0
pausetime = 0, 8
ground.slidetime = 5
ground.hittime = 15
air.hittime = 5
ground.velocity = -2, 0
air.velocity = -2, 0
sparkno = 1
palfx.time = 15
palfx.add = 40, 40, 80

[State 1010, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = StateTime > 30

;====================================
;STATE 1011: SUPREME THUNDER DRAGON Y
;====================================
[Statedef 1011]
type = S
movetype = A
physics = S
anim = 1011
velset = 0,0
poweradd = 65
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1011, Supreme]
type = PlaySnd
trigger1 = Time = 0
value = 1010,0

[State 1011, Dragon]
type = Projectile
Trigger1 = AnimElem = 4
Trigger1 = P2Name != "Onslaught"
Trigger1 = P2Name != "Mercedes Benz"
trigger1 = P2Name != "Omake: Mr. Wood"
Trigger1 = P4Name != "Onslaught"
Trigger1 = P4Name != "Mercedes Benz"
trigger1 = P4Name != "Omake: Mr. Wood"
projid = 1010
projanim = 1015
projhitanim = 1009
velocity = 5, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 55, 10
hitsound = S2, 1
guardsound = 6,0
pausetime = 0, 15
ground.hittime = 15
air.hittime = 15
ground.velocity = -2, -5
air.velocity = -2, -5
fall = 1
fall.recover = 0
p2stateno = 1002
sparkno = 2

[State 1011, Dragon]
type = Projectile
Trigger1 = AnimElem = 4
Trigger1 = NumProjID(1010) = 0
projid = 1010
projanim = 1015
projhitanim = 1009
velocity = 5, 0
offset = 32, -65
; HitDef
attr = S, SP
hitflag = MAF
guardflag = MA
animtype = hard
damage = 60, 10
hitsound = S2, 1
guardsound = 6,0
pausetime = 0, 15
ground.hittime = 15
air.hittime = 15
ground.velocity = -2, -5
air.velocity = -2, -5
fall = 1
fall.recover = 0
sparkno = 2
palfx.time = 50
palfx.add = 40, 40, 80

[State 1011, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = StateTime > 60

;=================================
;STATE 1020: JUPITER DOUBLE AXLE A
;=================================
[Statedef 1020]
type = S
movetype = A
physics = S
anim = 1020
velset = 0,0
poweradd = 55
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1020, Jupiter]
type = PlaySnd
trigger1 = Time = 0
value = 0,0

[State 1020, Double Axle]
type = PlaySnd
trigger1 = AnimElem = 8
value = 1020,0

[State 1020, Hits]
type = HitDef
trigger1 = AnimElem = 3
trigger2 = AnimElem = 5
trigger3 = AnimElem = 7
trigger4 = AnimElem = 9
trigger5 = AnimElem = 11
trigger6 = AnimElem = 13
attr = S, SA
hitflag = MAF
guardflag = HA
animtype = light
priority = 6
damage = 15, 5
pausetime = 8, 4
hitsound = 5,1
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -4, 0
air.type = high
air.hittime = 12
air.velocity = -4, 0
sparkno = 0
sparkxy = 0, -90

[State 1020, Move]
type = VelSet
trigger1 = command = "holdfwd"
x = 2

[State 1020, Move]
type = VelSet
trigger1 = command = "holdback"
x = -2

[State 1020, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = AnimTime = 0

;=================================
;STATE 1020: JUPITER DOUBLE AXLE B
;=================================
[Statedef 1021]
type = S
movetype = A
physics = S
anim = 1021
velset = 0,0
poweradd = 65
ctrl = 0

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1020, Jupiter]
type = PlaySnd
trigger1 = Time = 0
value = 0,0

[State 1020, Double Axle]
type = PlaySnd
trigger1 = AnimElem = 8
value = 1020,0

[State 1020, Hits]
type = HitDef
trigger1 = AnimElem = 3
trigger2 = AnimElem = 5
trigger3 = AnimElem = 7
trigger4 = AnimElem = 9
trigger5 = AnimElem = 11
trigger6 = AnimElem = 13
attr = S, SA
hitflag = MA
guardflag = HA
animtype = heavy
priority = 6
damage = 50, 10
pausetime = 8, 8
hitsound = 5,4
guardsound = 6,0
ground.type = high
ground.slidetime = 5
ground.hittime = 12
ground.velocity = -6, -3
air.type = high
air.hittime = 12
air.velocity = -6, -3
fall = 1
sparkno = 2
sparkxy = 0, -90

[State 1020, Move]
type = VelSet
trigger1 = command = "holdfwd"
x = 1

[State 1020, Move]
type = VelSet
trigger1 = command = "holdback"
x = -1

[State 1020, Recover]
type = ChangeState
value = 0
ctrl = 1
trigger1 = AnimTime = 0

;=====================================
;STATE 1030: JUPITER COCONUT CYCLONE X
;=====================================
[Statedef 1030]
type = A
movetype = A
physics = N
velset = 0,0
anim = 1030
poweradd = 55
ctrl = 0

[State 1030, Hey]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,1

[State 1030, FireProj]
type = Helper
trigger1 = AnimElem = 2
name = "Coconut Cyclone"
ID = 1035
pos = 27, -67
postype = P1
stateno = 1034
ownpal = 1

[State 1030, VelSet]
type = VelSet
trigger1 = AnimElem = 2
Y = -4
X = -2

[State 1030, NewStType]
type = StateTypeSet
trigger1 = AnimElem = 2
physics = A

[State 1030, Recover]
type = ChangeState
value = 42
trigger1 = AnimTime = 0

;=====================================
;STATE 1031: JUPITER COCONUT CYCLONE Y
;=====================================
[Statedef 1031]
type = A
movetype = A
physics = N
velset = 0,0
anim = 1030
poweradd = 55
ctrl = 0

[State 1030, Hey]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,1

[State 1030, FireProj]
type = Helper
trigger1 = AnimElem = 2
name = "Coconut Cyclone"
ID = 1035
pos = 27, -67
postype = P1
stateno = 1035
ownpal = 1

[State 1030, VelSet]
type = VelSet
trigger1 = AnimElem = 2
Y = -4
X = -4

[State 1030, NewStType]
type = StateTypeSet
trigger1 = AnimElem = 2
physics = A

[State 1030, Recover]
type = ChangeState
value = 42
trigger1 = AnimTime = 0

;============================
;1034: COCONUT PROJECTILE (X)
;============================
[Statedef 1034]
type = A
movetype = A
physics = N
velset = 2, 4
sprpriority = 3
anim = 1035

[State 1035, HitDef!]
type = HitDef
trigger1 = (Time % 5) = 1
attr = A, SP
hitflag = MAF
guardflag = MA
animtype = light
damage = 5, 0
hitsound = S2,0
guardsound = 6,0
pausetime = 0, 1
ground.slidetime = 5
ground.hittime = 15
air.hittime = 5
air.fall = 1
ground.velocity = -1, 0
air.velocity = -2, 3
sparkno = 1
palfx.time = 15
palfx.add = 40, 40, 80

[State 1035, HitTheGround]
type = ChangeState
trigger1 = Pos Y >= 0
value = 1036

;============================
;1035: COCONUT PROJECTILE (Y)
;============================
[Statedef 1035]
type = A
movetype = A
physics = N
velset = 5, 4
sprpriority = 3
anim = 1035

[State 1035, HitDef!]
type = HitDef
trigger1 = (Time % 5) = 1
attr = A, SP
hitflag = MAF
guardflag = MA
animtype = light
damage = 5, 0
hitsound = S2,0
guardsound = 6,0
pausetime = 0, 1
ground.slidetime = 5
ground.hittime = 15
air.hittime = 5
air.fall = 1
ground.velocity = -1, 0
air.velocity = -5, 3
sparkno = 1
palfx.time = 15
palfx.add = 40, 40, 80

[State 1035, HitTheGround]
type = ChangeState
trigger1 = Pos Y >= 0
value = 1036

;=======================
;1036: COCONUT SHOCKWAVE
;=======================
[Statedef 1036]
type = S
movetype = A
physics = N
velset = 0, 0
sprpriority = 3
anim = 1036

[State 1036, Center Self]
type = PosSet
trigger1 = Pos Y != 0
Y = 0

[State 1036, Attack]
type = ChangeAnim
trigger1 = (Anim = 1036) && (AnimTime = 0)
value = 1037

[State 1036, HitDef]
type = HitDef
trigger1 = (Anim = 1037) && (AnimElem = 1)
Trigger1 = P2Name != "Onslaught"
Trigger1 = P2Name != "Mercedes Benz"
trigger1 = P2Name != "Omake: Mr. Wood"
Trigger1 = P4Name != "Onslaught"
Trigger1 = P4Name != "Mercedes Benz"
trigger1 = P4Name != "Omake: Mr. Wood"
attr = A, SP
hitflag = MAFD
guardflag = MA
animtype = Up
damage = 120, 12
sparkno = 3
sparkxy = 0, (P2Dist Y)
hitsound = S2,1
ground.type = low
fall = 1
ground.velocity = -3, -8
air.velocity = -3, -6
fall.recover = 0
down.bounce = 1
;palfx.time = 50
;palfx.add = 40, 40, 80
p2stateno = 1002

[State 1036, HitDef]
type = HitDef
trigger1 = (Anim = 1037) && (AnimElem = 1)
Trigger1 = (P2Name = "Onslaught") || (P2Name = "Mercedes Benz") || (P2Name = "Omake: Mr. Wood") || (P4Name = "Onslaught") || (P4Name = "Mercedes Benz") || (P4Name = "Omake: Mr. Wood")
attr = A, SP
hitflag = MAFD
guardflag = MA
animtype = Up
damage = 50, 12
sparkno = 3
sparkxy = 0, (P2Dist Y)
hitsound = S2,1
ground.type = low
fall = 1
ground.velocity = -3, -8
air.velocity = -3, -6
fall.recover = 0
down.bounce = 1
palfx.time = 50
palfx.add = 40, 40, 80
;p2stateno = 1002

[State 1036, Enough]
type = DestroySelf
trigger1 = Time = 40

;===============================
;STATE 1040: GIANT SWING ATTEMPT
;===============================
[Statedef 1040]
type = S
movetype = A
physics = S
anim = 1040
velset = 0,0
sprpriority = 2
ctrl = 0
poweradd = 80

[State 1000, 4]
type = GameMakeAnim
trigger1 = Time = 0
value = 130
pos = 0, 0

[State 1040, Throw Attempt.]
type = HitDef
trigger1 = Time = 0
attr = S, NT
hitflag = -M
sparkno = -1
hitsound = S3,0
p1stateno = 1041
p2stateno = 1042

[State 1040, Throw failed.]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;=======================
;1041: GIANT SWING THROW
;=======================
[Statedef 1041]
type = S
movetype = A
physics = S
anim = 1041
sprpriority = 2

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 1
time = 20
pos = 41, -9

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 2
time = 10
pos = 35, -30

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 3
trigger2 = AnimElem = 7
trigger3 = AnimElem = 11
time = 8
pos = 17, -86

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 4
trigger2 = AnimElem = 8
trigger3 = AnimElem = 12
time = 8
pos = 7, -86

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 5
trigger2 = AnimElem = 9
trigger3 = AnimElem = 13
time = 8
pos = 23, -86

[State 1041, Whiff]
type = PlaySnd
trigger1 = AnimElem = 5
trigger2 = AnimElem = 9
trigger3 = AnimElem = 13
value = 1,1

[State 1041, TargetBind]
type = TargetBind
trigger1 = AnimElem = 6
trigger2 = AnimElem = 10
trigger3 = AnimElem = 14
time = 8
pos = 26, -86

[State 800, Hey]
type = PlaySnd
trigger1 = AnimElem = 15
value = 0,1

[State 1041, Damage]
type = TargetLifeAdd
trigger1 = AnimElem = 15
value = -150

[State 1041, Recover]
type = ChangeState
trigger1 = AnimTime = 0
Value = 0
ctrl = 1

;===========
;1090: OOPS!
;===========
[Statedef 1090]
type = S
movetype = I
physics = S
anim = 1090

[State 1090, Recover]
type = ChangeState
trigger1 = time >= 120
value = 0
ctrl = 1

