; ===========================
; Jupiter's State -3 File
; Contents (c) 2001 by Kamek the Magikoopa
; Authorized only for use in Elecbyte's M.U.G.E.N
; Do not steal my work! Ask before using something.
; ===========================
; Description: State -3 definition for Jupiter
; ===========================

[Statedef -3]

;===============
;STOP THE SJ VAR
;===============
[State -3, SJ]
type = VarSet
trigger1 = var(40) != 0
trigger1 = Statetype != A
var(40) = 0

[State -3, SJ]
type = VarSet
trigger1 = var(40) = 0
trigger1 = var(41) != 0
var(41) = 0

[State -3, SJ]
type = VarSet
trigger1 = var(40) = 0
trigger1 = var(39) != 0
var(39) = 0

;================================
;AIR COMBO FINISHER FLYING SCREEN
;================================
[State -3, Air Combo Finish]
type = ScreenBound
trigger1 = Var(1) = 1
value = 0
movecamera = 1, 0

[State -3, Clear Var 1]
type = VarSet
trigger1 = Var(1) = 1
trigger1 = Pos Y = 0
var(1) = 0

;===========================
;END-OF-BATTLE FLYING SCREEN
;===========================
[State -3, End of Battle]
type = ScreenBound
value = 0
trigger1 = RoundState >= 3
trigger1 = Win

[State -3, Facing Wrong Way?!]
type = Turn
trigger1 = RoundState >= 3
trigger1 = Win
trigger1 = ScreenPos X != [0, 320]
trigger1 = stateno != 101
trigger1 = FrontEdgeBodyDist < 0

[State -3, Dash In For Win]
type = ChangeState
value = 101
trigger1 = RoundState = 3
trigger1 = Win
;trigger1 = ScreenPos X != [0, 320]
trigger1 = BackEdgeBodyDist < 0
trigger1 = stateno != 101

;================
;DASH AFTERIMAGES
;================

[State -3, Dash Forward Shadows]
type = AfterImage
trigger1 = Anim = 100
trigger1 = StateTime = 1
time = 31
length = 30
paladd = -30, -30, -30
trans = add

[State -3, Dash Back Shadows]
type = AfterImage
trigger1 = Anim = 105
trigger1 = StateTime = 1
time = 31
length = 18
paladd = -30, -30, -30
trans = add

[State -3, SuperJump Shadows]
type = AfterImage
trigger1 = StateNo = 9040
trigger1 = StateTime = 1
time = 31
length = 18
paladd = -30, -30, -30
trans = add

;==========
;AI TRIGGER
;==========

;[State -3, Check for AI]
;; Check if AI is controlling - From Yongming's Goenitz. Used with permission
;;==== CHANGE THE TYPE OF THE NEXT LINE TO "NULL" TO DISABLE JUPITER'S AI ====
;;==== To turn it back on again, change tht type back to "HELPER" ====
;type = Helper
;trigger1 = NumHelper(9999) = 0
;trigger1 = anim = 0
;trigger1 = movetype != H
;trigger1 = ctrl = 0
;trigger1 = RoundState = 2
;name = "AI Trigger"
;id = 9999
;pos = 1000, 1000
;stateno = 9999
;helpertype = normal
;keyctrl = 1

;[State -3, AutoAIActivateDebugOnly]
;type = Null
;trigger1 = var(42) = 0
;var(42) = -1

;==========
;AUTO GUARD
;==========

[State -3, Crouch Block]
type = ChangeState
triggerall = var(42) = -1
triggerall = MatchOver = 0
triggerall = P2bodydist X <= 70
triggerall = statetype != A
triggerall = ctrl = 1
trigger1 = P2MoveType = A
trigger1 = P2StateType = C
trigger1 = stateno != [130,132]
value = 131

[State -3, Ground Block]
type = ChangeState
triggerall = var(42) = -1
triggerall = MatchOver = 0
triggerall = P2bodydist X <= 70
triggerall = statetype != A
triggerall = ctrl = 1
trigger1 = P2MoveType = A
trigger1 = P2StateType != C
trigger1 = stateno != [130,132]
value = 130

[State -3, Air Block]
type = ChangeState
triggerall = var(42) = -1
triggerall = MatchOver = 0
triggerall = P2bodydist X <= 70
triggerall = statetype = A
triggerall = ctrl = 1
trigger1 = P2MoveType = A
trigger1 = stateno != [130,132]
value = 132

;=============
;KNOCK IT OFF!
;=============
;Turns off the AI after battle is done
[State -3, QuitIt!]
type = VarSet
trigger1 = RoundState >= 3
v = 42
value = 0

